<?php
$module_name = 'PX_GCMRegistrations';
$viewdefs[$module_name] = array(
	'base' => array(
		'view' => array(
			'list' => array(
				'panels' => array(
					array(
						'label' => 'LBL_PANEL_1',
						'fields' => array(
							array(
								'name' => 'name',
								'label' => 'LBL_NAME',
								'default' => true,
								'enabled' => true,
								'link' => true,
							),
							array(
								'name' => 'assigned_user_name',
								'label' => 'LBL_ASSIGNED_TO_NAME',
								'default' => true,
								'enabled' => true,
								'link' => true,
							),
							array(
								'name' => 'registration_token',
								'label' => 'LBL_REGISTRATION_TOKEN',
								'enabled' => true,
								'sortable' => false,
								'default' => true,
							),
							array(
								'name' => 'status',
								'enabled' => true,
								'default' => false,
							),
							array(
								'name' => 'date_entered',
								'enabled' => true,
								'default' => false,
							),
							array(
								'name' => 'date_modified',
								'enabled' => true,
								'default' => false,
							),
							array(
								'name' => 'gcm_instance',
								'label' => 'LBL_GCM_INSTANCE',
								'enabled' => true,
								'sortable' => false,
								'default' => false,
							),
						),
					),
				),
				'orderBy' => array(
					'field' => 'date_modified',
					'direction' => 'desc',
				),
			),
		),
	),
);
