<?php

$module_name = 'PX_GCMRegistrations';

$viewdefs[$module_name]['base']['view']['recordlist'] = array(
	'favorite' => true,
	'following' => true,
	'sticky_resizable_columns' => true,
	'selection' => array(
		'type' => 'multi',
		'actions' => array(
			array(
				'name' => 'edit_button',
				'type' => 'button',
				'label' => 'LBL_MASS_UPDATE',
				'primary' => true,
				'events' => array(
					'click' => 'list:massupdate:fire',
				),
				'acl_action' => 'massupdate',
			),
			array(
				'name' => 'calc_field_button',
				'type' => 'button',
				'label' => 'LBL_UPDATE_CALC_FIELDS',
				'events' => array(
					'click' => 'list:updatecalcfields:fire',
				),
				'acl_action' => 'massupdate',
			),
			array(
				'name' => 'merge_button',
				'type' => 'button',
				'label' => 'LBL_MERGE',
				'primary' => true,
				'events' => array(
					'click' => 'list:mergeduplicates:fire',
				),
				'acl_action' => 'edit',
			),
			array(
				'name' => 'delete_button',
				'type' => 'button',
				'label' => 'LBL_DELETE',
				'acl_action' => 'delete',
				'primary' => true,
				'events' => array(
					'click' => 'list:massdelete:fire',
				),
			),
			array(
				'name' => 'export_button',
				'type' => 'button',
				'label' => 'LBL_EXPORT',
				'acl_action' => 'export',
				'primary' => true,
				'events' => array(
					'click' => 'list:massexport:fire',
				),
			),
			array(
				'name' => 'px_mass_deactivate_registration_button',
				'type' => 'button',
				'label' => 'LBL_PX_DEACTIVATE_REGISTRATION_BUTTON',
				'acl_action' => 'edit',
				'primary' => true,
				'events' => array(
					'click' => 'list:px_mass_deactivate_registration:fire',
				),
			),
		),
	),
	'rowactions' => array(
		'actions' => array(
			array(
				'type' => 'rowaction',
				'css_class' => 'btn',
				'tooltip' => 'LBL_PREVIEW',
				'event' => 'list:preview:fire',
				'icon' => 'fa-eye',
				'acl_action' => 'view',
			),
			array(
				'type' => 'rowaction',
				'name' => 'edit_button',
				'label' => 'LBL_EDIT_BUTTON',
				'event' => 'list:editrow:fire',
				'acl_action' => 'edit',
			),
			array(
				'type' => 'follow',
				'name' => 'follow_button',
				'event' => 'list:follow:fire',
				'acl_action' => 'view',
			),
			array(
				'type' => 'rowaction',
				'name' => 'px_deactivate_registration_button',
				'event' => 'list:px_deactivate_registration:fire',
				'label' => 'LBL_PX_DEACTIVATE_REGISTRATION_BUTTON',
				'acl_action' => 'edit',
			),
//			array(
//				'type' => 'rowaction',
//				'event' => 'list:px_activate_registration:fire',
//				'name' => 'px_activate_registration_button',
//				'label' => 'LBL_PX_ACTIVATE_REGISTRATION_BUTTON',
//				'acl_action' => 'edit',
//			),
			array(
				'type' => 'rowaction',
				'name' => 'delete_button',
				'event' => 'list:deleterow:fire',
				'label' => 'LBL_DELETE_BUTTON',
				'acl_action' => 'delete',
			),
		),
	),
	'last_state' => array(
		'id' => 'record-list',
	),
);