<?php

$dictionary['PX_GCMRegistrations'] = array(
	'table' => 'px_gcmregistrations',
	'audited' => true,
	'activity_enabled' => false,
	'duplicate_merge' => true,
	'fields' => array(
		'registration_token' =>
			array(
				'required' => false,
				'name' => 'registration_token',
				'vname' => 'LBL_REGISTRATION_TOKEN',
				'type' => 'text',
				'massupdate' => false,
				'default' => '',
				'no_default' => false,
				'comments' => '',
				'help' => '',
				'importable' => 'true',
				'duplicate_merge' => 'enabled',
				'duplicate_merge_dom_value' => '1',
				'audited' => false,
				'reportable' => true,
				'unified_search' => false,
				'merge_filter' => 'disabled',
				'full_text_search' =>
					array(
						'boost' => '0',
						'enabled' => false,
					),
				'calculated' => false,
				'size' => '20',
				'studio' => 'visible',
				'rows' => '4',
				'cols' => '20',
			),
		'gcm_instance' =>
			array(
				'required' => false,
				'name' => 'gcm_instance',
				'vname' => 'LBL_GCM_INSTANCE',
				'type' => 'text',
				'massupdate' => false,
				'default' => '',
				'no_default' => false,
				'comments' => '',
				'help' => '',
				'importable' => 'true',
				'duplicate_merge' => 'enabled',
				'duplicate_merge_dom_value' => '1',
				'audited' => false,
				'reportable' => true,
				'unified_search' => false,
				'merge_filter' => 'disabled',
				'full_text_search' =>
					array(
						'boost' => '0',
						'enabled' => false,
					),
				'calculated' => false,
				'size' => '20',
				'studio' => 'visible',
				'rows' => '4',
				'cols' => '20',
			),

		'status' =>
			array(
				'name' => 'status',
				'vname' => 'LBL_STATUS',
				'type' => 'enum',
				'massupdate' => false,
				'default' => 'active',
				'no_default' => false,
				'comments' => '',
				'help' => '',
				'importable' => 'true',
				'duplicate_merge' => 'enabled',
				'duplicate_merge_dom_value' => '1',
				'audited' => false,
				'reportable' => true,
				'unified_search' => false,
				'merge_filter' => 'disabled',
				'calculated' => false,
				'len' => 100,
				'size' => '20',
				'options' => 'px_registration_status_dom',
				'dependency' => false,
				'readonly' => false,
			),
	),
	'relationships' => array(),
	'optimistic_locking' => true,
	'unified_search' => true,
);

if (!class_exists('VardefManager')) {
	require_once 'include/SugarObjects/VardefManager.php';
}
VardefManager::createVardef('PX_GCMRegistrations', 'PX_GCMRegistrations', array('basic', 'assignable'));