<?php
$module_name = 'PX_GCMSubscriptions';
$viewdefs[$module_name] = array(
	'base' => array(
		'view' => array(
			'list' => array(
				'panels' => array(
					array(
						'label' => 'LBL_PANEL_1',
						'fields' => array(
							array(
								'name' => 'name',
								'label' => 'LBL_NAME',
								'default' => true,
								'enabled' => true,
								'link' => true,
							),
							array(
								'name' => 'assigned_user_name',
								'label' => 'LBL_ASSIGNED_TO_NAME',
								'default' => true,
								'enabled' => true,
								'link' => true,
							),
							array(
								'name' => 'filter_owner',
								'label' => 'LBL_FILTER_OWNER',
								'enabled' => true,
								'default' => true,
							),
							array(
								'name' => 'filter_favorite',
								'label' => 'LBL_FILTER_FAVORITE',
								'enabled' => true,
								'default' => true,
							),
							array(
								'name' => 'filter_following',
								'label' => 'LBL_FILTER_FOLLOWING',
								'enabled' => true,
								'default' => true,
							),
//							array(
//								'name' => 'filter_team',
//								'label' => 'LBL_FILTER_TEAM',
//								'enabled' => true,
//								'default' => true,
//							),
							array(
								'name' => 'date_modified',
								'enabled' => true,
								'default' => false,
							),
							array(
								'name' => 'date_entered',
								'enabled' => true,
								'default' => false,
							),
						),
					),
				),
				'orderBy' => array(
					'field' => 'date_modified',
					'direction' => 'desc',
				),
			),
		),
	),
);
