<?php
$module_name = 'PX_GCMSubscriptions';
$viewdefs[$module_name] = array(
	'base' => array(
		'view' => array(
			'record' => array(
				'panels' => array(
					array(
						'name' => 'panel_header',
						'label' => 'LBL_RECORD_HEADER',
						'header' => true,
						'fields' => array(
							array(
								'name' => 'picture',
								'type' => 'avatar',
								'width' => 42,
								'height' => 42,
								'dismiss_label' => true,
								'readonly' => true,
							),
							'name',
							array(
								'name' => 'favorite',
								'label' => 'LBL_FAVORITE',
								'type' => 'favorite',
								'readonly' => true,
								'dismiss_label' => true,
							),
							array(
								'name' => 'follow',
								'label' => 'LBL_FOLLOW',
								'type' => 'follow',
								'readonly' => true,
								'dismiss_label' => true,
							),
						),
					),
					array(
						'name' => 'panel_body',
						'label' => 'LBL_RECORD_BODY',
						'columns' => 2,
						'labelsOnTop' => true,
						'placeholders' => true,
						'newTab' => false,
						'panelDefault' => 'expanded',
						'fields' => array(
							array(
								'name' => 'assigned_user_name',
								'label' => 'LBL_ASSIGNED_TO_NAME',
								'span' => 12,
							),
							'filter_owner',
							'filter_favorite',
							'filter_following',
							//'filter_team',
						),
					),
					array(
						'name' => 'panel_hidden',
						'label' => 'LBL_SHOW_MORE',
						'hide' => true,
						'columns' => 2,
						'labelsOnTop' => true,
						'placeholders' => true,
						'newTab' => false,
						'panelDefault' => 'expanded',
						'fields' => array(
							array(
								'name' => 'description',
								'span' => 12,
							),
							array(
								'name' => 'date_modified_by',
								'readonly' => true,
								'inline' => true,
								'type' => 'fieldset',
								'label' => 'LBL_DATE_MODIFIED',
								'fields' => array(
									array(
										'name' => 'date_modified',
									),
									array(
										'type' => 'label',
										'default_value' => 'LBL_BY',
									),
									array(
										'name' => 'modified_by_name',
									),
								),
							),
							array(
								'name' => 'date_entered_by',
								'readonly' => true,
								'inline' => true,
								'type' => 'fieldset',
								'label' => 'LBL_DATE_ENTERED',
								'fields' => array(
									array(
										'name' => 'date_entered',
									),
									array(
										'type' => 'label',
										'default_value' => 'LBL_BY',
									),
									array(
										'name' => 'created_by_name',
									),
								),
							),
						),
					),
				),
				'templateMeta' => array(
					'useTabs' => false,
				),
			),
		),
	),
);
