<?php
$manifest = array(
    'built_in_version' => '7.6.0.0',
    'acceptable_sugar_versions' => array(
        'regex_matches' => array(
            '7\\.(6|7|8|9|10)\\.[0-9]\\.[0-9]$',
        ),
    ),
    'acceptable_sugar_flavors' =>
        array(
            0 => 'ENT',
            1 => 'ULT',
            2 => 'PRO',
        ),
    'readme' => '',
    'key' => '',
    'author' => 'Integros',
    'description' => 'Test free SugarAide package for version 1.1.0.c',
    'icon' => '',
    'is_uninstallable' => true,
    'name' => 'SugarAide Plugin v1.1.0',
    'published_date' => '2018-02-01 18:15:45',
    'type' => 'module',
    'version' => '1.1.0',
    'remove_tables' => 'prompt',
);


$installdefs = array(
    'id' => 'integros_sugaraide_free',
    'copy' => array(
        0 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Meetings/Ext/LogicHooks/GCMHook.php',
                'to' => 'custom/Extension/modules/Meetings/Ext/LogicHooks/GCMHook.php'
            ),
        1 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Tasks/Ext/LogicHooks/GCMHook.php',
                'to' => 'custom/Extension/modules/Tasks/Ext/LogicHooks/GCMHook.php'
            ),
        2 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/ActivityStream/Subscriptions/Ext/LogicHooks/GCMHook.php',
                'to' => 'custom/Extension/modules/ActivityStream/Subscriptions/Ext/LogicHooks/GCMHook.php'
            ),
        3 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Emails/Ext/Language/en_us.zIntegros.php',
                'to' => 'custom/Extension/modules/Emails/Ext/Language/en_us.zIntegros.php'
            ),
        4 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Emails/Ext/LogicHooks/GCMHook.php',
                'to' => 'custom/Extension/modules/Emails/Ext/LogicHooks/GCMHook.php'
            ),
        5 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Contacts/Ext/LogicHooks/GCMHook.php',
                'to' => 'custom/Extension/modules/Contacts/Ext/LogicHooks/GCMHook.php'
            ),
        6 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Schedulers/Ext/Language/en_us.zIntegros.php',
                'to' => 'custom/Extension/modules/Schedulers/Ext/Language/en_us.zIntegros.php'
            ),
        7 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Schedulers/Ext/ScheduledTasks/SendUserNewsJob.php',
                'to' => 'custom/Extension/modules/Schedulers/Ext/ScheduledTasks/SendUserNewsJob.php'
            ),
        8 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Schedulers/Ext/ScheduledTasks/CleanUpGCMMessagesJob.php',
                'to' => 'custom/Extension/modules/Schedulers/Ext/ScheduledTasks/CleanUpGCMMessagesJob.php'
            ),
        9 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Calls/Ext/LogicHooks/GCMHook.php',
                'to' => 'custom/Extension/modules/Calls/Ext/LogicHooks/GCMHook.php'
            ),
        10 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Users/Ext/Layoutdefs/zSugarAide.php',
                'to' => 'custom/Extension/modules/Users/Ext/Layoutdefs/zSugarAide.php'
            ),
        11 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Users/Ext/Vardefs/zSugarAide.php',
                'to' => 'custom/Extension/modules/Users/Ext/Vardefs/zSugarAide.php'
            ),
        12 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/Users/Ext/Language/en_us.zSugarAide.php',
                'to' => 'custom/Extension/modules/Users/Ext/Language/en_us.zSugarAide.php'
            ),
        13 =>
            array (
                'from' => '<basepath>/src/custom/Extension/modules/SugarFavorites/Ext/LogicHooks/GCMHook.php',
                'to' => 'custom/Extension/modules/SugarFavorites/Ext/LogicHooks/GCMHook.php'
            ),
        14 =>
            array (
                'from' => '<basepath>/src/custom/Extension/application/Ext/JSGroupings/zSugaraideJS.php',
                'to' => 'custom/Extension/application/Ext/JSGroupings/zSugaraideJS.php'
            ),
        15 =>
            array (
                'from' => '<basepath>/src/custom/Extension/application/Ext/Language/en_us.sugaraide.php',
                'to' => 'custom/Extension/application/Ext/Language/en_us.sugaraide.php'
            ),
        16 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/NewsFeedLogic/Provider/MobileProvider.php',
                'to' => 'custom/PxRoutines/NewsFeedLogic/Provider/MobileProvider.php'
            ),
        17 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/NewsFeedLogic/Provider/MobileNotify.php',
                'to' => 'custom/PxRoutines/NewsFeedLogic/Provider/MobileNotify.php'
            ),
        18 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/NewsFeedLogic/Provider/MobileBanProvider.php',
                'to' => 'custom/PxRoutines/NewsFeedLogic/Provider/MobileBanProvider.php'
            ),
        19 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/NewsFeedLogic/Collector/MobileSync/Helper/MobileSyncContact.php',
                'to' => 'custom/PxRoutines/NewsFeedLogic/Collector/MobileSync/Helper/MobileSyncContact.php'
            ),
        20 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/NewsFeedLogic/Collector/MobileSync/Helper/MobileSyncActivities.php',
                'to' => 'custom/PxRoutines/NewsFeedLogic/Collector/MobileSync/Helper/MobileSyncActivities.php'
            ),
        21 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/NewsFeedLogic/Collector/MobileReSync.php',
                'to' => 'custom/PxRoutines/NewsFeedLogic/Collector/MobileReSync.php'
            ),
        22 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/NewsFeedLogic/Collector/MobileSync.php',
                'to' => 'custom/PxRoutines/NewsFeedLogic/Collector/MobileSync.php'
            ),
        23 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/NewsFeedLogic/SendNews.php',
                'to' => 'custom/PxRoutines/NewsFeedLogic/SendNews.php'
            ),
        24 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/MdTest.php',
                'to' => 'custom/PxRoutines/MdTest.php'
            ),
        25 =>
            array (
                'from' => '<basepath>/src/custom/clients/base/api/SugarApiExceptionDuplicateKey.php',
                'to' => 'custom/clients/base/api/SugarApiExceptionDuplicateKey.php'
            ),
        26 =>
            array (
                'from' => '<basepath>/src/custom/clients/base/api/PxNewsCronImitationApi.php',
                'to' => 'custom/clients/base/api/PxNewsCronImitationApi.php'
            ),
        27 =>
            array (
                'from' => '<basepath>/src/custom/clients/base/api/PxGCMApi.php',
                'to' => 'custom/clients/base/api/PxGCMApi.php'
            ),
        28 =>
            array (
                'from' => '<basepath>/src/custom/themes/custom.less',
                'to' => 'custom/themes/custom.less'
            ),
        29 =>
            array (
                'from' => '<basepath>/src/custom/modules/Emails/clients/base/views/px-feedback-drawer/px-feedback-drawer.php',
                'to' => 'custom/modules/Emails/clients/base/views/px-feedback-drawer/px-feedback-drawer.php'
            ),
        30 =>
            array (
                'from' => '<basepath>/src/custom/modules/Emails/clients/base/views/px-feedback-drawer/px-feedback-drawer.js',
                'to' => 'custom/modules/Emails/clients/base/views/px-feedback-drawer/px-feedback-drawer.js'
            ),
        31 =>
            array (
                'from' => '<basepath>/src/custom/modules/Emails/clients/base/fields/htmleditable_tinymce/edit.hbs',
                'to' => 'custom/modules/Emails/clients/base/fields/htmleditable_tinymce/edit.hbs'
            ),
        32 =>
            array (
                'from' => '<basepath>/src/custom/modules/Emails/clients/base/api/PxGetUserInfoApi.php',
                'to' => 'custom/modules/Emails/clients/base/api/PxGetUserInfoApi.php'
            ),
        33 =>
            array (
                'from' => '<basepath>/src/custom/modules/Emails/clients/base/layouts/px-feedback-layout/px-feedback-layout.php',
                'to' => 'custom/modules/Emails/clients/base/layouts/px-feedback-layout/px-feedback-layout.php'
            ),
        34 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/SearchFields.php',
                'to' => 'modules/PX_UserNews/metadata/SearchFields.php'
            ),
        35 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/quickcreatedefs.php',
                'to' => 'modules/PX_UserNews/metadata/quickcreatedefs.php'
            ),
        36 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/searchdefs.php',
                'to' => 'modules/PX_UserNews/metadata/searchdefs.php'
            ),
        37 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/editviewdefs.php',
                'to' => 'modules/PX_UserNews/metadata/editviewdefs.php'
            ),
        38 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/metafiles.php',
                'to' => 'modules/PX_UserNews/metadata/metafiles.php'
            ),
        39 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/studio.php',
                'to' => 'modules/PX_UserNews/metadata/studio.php'
            ),
        40 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/popupdefs.php',
                'to' => 'modules/PX_UserNews/metadata/popupdefs.php'
            ),
        41 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/detailviewdefs.php',
                'to' => 'modules/PX_UserNews/metadata/detailviewdefs.php'
            ),
        42 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/listviewdefs.php',
                'to' => 'modules/PX_UserNews/metadata/listviewdefs.php'
            ),
        43 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/subpanels/default.php',
                'to' => 'modules/PX_UserNews/metadata/subpanels/default.php'
            ),
        44 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/metadata/dashletviewdefs.php',
                'to' => 'modules/PX_UserNews/metadata/dashletviewdefs.php'
            ),
        45 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/language/en_us.lang.php',
                'to' => 'modules/PX_UserNews/language/en_us.lang.php'
            ),
        46 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/PX_UserNews_sugar.php',
                'to' => 'modules/PX_UserNews/PX_UserNews_sugar.php'
            ),
        47 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/base/menus/header/header.php',
                'to' => 'modules/PX_UserNews/clients/base/menus/header/header.php'
            ),
        48 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/base/views/selection-list/selection-list.php',
                'to' => 'modules/PX_UserNews/clients/base/views/selection-list/selection-list.php'
            ),
        49 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/base/views/list/list.php',
                'to' => 'modules/PX_UserNews/clients/base/views/list/list.php'
            ),
        50 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/base/views/subpanel-list/subpanel-list.php',
                'to' => 'modules/PX_UserNews/clients/base/views/subpanel-list/subpanel-list.php'
            ),
        51 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/base/views/dupecheck-list/dupecheck-list.php',
                'to' => 'modules/PX_UserNews/clients/base/views/dupecheck-list/dupecheck-list.php'
            ),
        52 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/base/views/massupdate/massupdate.php',
                'to' => 'modules/PX_UserNews/clients/base/views/massupdate/massupdate.php'
            ),
        53 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/base/views/record/record.php',
                'to' => 'modules/PX_UserNews/clients/base/views/record/record.php'
            ),
        54 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/base/filters/basic/basic.php',
                'to' => 'modules/PX_UserNews/clients/base/filters/basic/basic.php'
            ),
        55 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/base/filters/default/default.php',
                'to' => 'modules/PX_UserNews/clients/base/filters/default/default.php'
            ),
        56 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/mobile/views/detail/detail.php',
                'to' => 'modules/PX_UserNews/clients/mobile/views/detail/detail.php'
            ),
        57 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/mobile/views/list/list.php',
                'to' => 'modules/PX_UserNews/clients/mobile/views/list/list.php'
            ),
        58 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/mobile/views/edit/edit.php',
                'to' => 'modules/PX_UserNews/clients/mobile/views/edit/edit.php'
            ),
        59 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/mobile/layouts/detail/detail.php',
                'to' => 'modules/PX_UserNews/clients/mobile/layouts/detail/detail.php'
            ),
        60 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/mobile/layouts/list/list.php',
                'to' => 'modules/PX_UserNews/clients/mobile/layouts/list/list.php'
            ),
        61 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/clients/mobile/layouts/edit/edit.php',
                'to' => 'modules/PX_UserNews/clients/mobile/layouts/edit/edit.php'
            ),
        62 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/PX_UserNews.php',
                'to' => 'modules/PX_UserNews/PX_UserNews.php'
            ),
        63 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/Dashlets/PX_UserNewsDashlet/PX_UserNewsDashlet.php',
                'to' => 'modules/PX_UserNews/Dashlets/PX_UserNewsDashlet/PX_UserNewsDashlet.php'
            ),
        64 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/Dashlets/PX_UserNewsDashlet/PX_UserNewsDashlet.meta.php',
                'to' => 'modules/PX_UserNews/Dashlets/PX_UserNewsDashlet/PX_UserNewsDashlet.meta.php'
            ),
        65 =>
            array (
                'from' => '<basepath>/src/modules/PX_UserNews/vardefs.php',
                'to' => 'modules/PX_UserNews/vardefs.php'
            ),
        66 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/SearchFields.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/SearchFields.php'
            ),
        67 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/quickcreatedefs.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/quickcreatedefs.php'
            ),
        68 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/searchdefs.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/searchdefs.php'
            ),
        69 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/editviewdefs.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/editviewdefs.php'
            ),
        70 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/metafiles.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/metafiles.php'
            ),
        71 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/studio.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/studio.php'
            ),
        72 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/popupdefs.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/popupdefs.php'
            ),
        73 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/detailviewdefs.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/detailviewdefs.php'
            ),
        74 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/listviewdefs.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/listviewdefs.php'
            ),
        75 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/subpanels/default.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/subpanels/default.php'
            ),
        76 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/metadata/dashletviewdefs.php',
                'to' => 'modules/PX_GCMSubscriptions/metadata/dashletviewdefs.php'
            ),
        77 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/language/en_us.lang.php',
                'to' => 'modules/PX_GCMSubscriptions/language/en_us.lang.php'
            ),
        78 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/PX_GCMSubscriptions_sugar.php',
                'to' => 'modules/PX_GCMSubscriptions/PX_GCMSubscriptions_sugar.php'
            ),
        79 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/PX_GCMSubscriptions.php',
                'to' => 'modules/PX_GCMSubscriptions/PX_GCMSubscriptions.php'
            ),
        80 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/menus/header/header.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/menus/header/header.php'
            ),
        81 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/views/selection-list/selection-list.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/views/selection-list/selection-list.php'
            ),
        82 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/views/list/list.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/views/list/list.php'
            ),
        83 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/views/subpanel-list/subpanel-list.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/views/subpanel-list/subpanel-list.php'
            ),
        84 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/views/create/create.js',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/views/create/create.js'
            ),
        85 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/views/dupecheck-list/dupecheck-list.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/views/dupecheck-list/dupecheck-list.php'
            ),
        86 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/views/create-actions/create-actions.js',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/views/create-actions/create-actions.js'
            ),
        87 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/views/massupdate/massupdate.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/views/massupdate/massupdate.php'
            ),
        88 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/views/record/record.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/views/record/record.php'
            ),
        89 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/views/record/record.js',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/views/record/record.js'
            ),
        90 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/fields/editablelistbutton/editablelistbutton.js',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/fields/editablelistbutton/editablelistbutton.js'
            ),
        91 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/api/PX_GCMSubscriptionsDuplicateCheckApi.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/api/PX_GCMSubscriptionsDuplicateCheckApi.php'
            ),
        92 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/filters/basic/basic.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/filters/basic/basic.php'
            ),
        93 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/base/filters/default/default.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/base/filters/default/default.php'
            ),
        94 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/mobile/views/detail/detail.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/mobile/views/detail/detail.php'
            ),
        95 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/mobile/views/list/list.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/mobile/views/list/list.php'
            ),
        96 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/mobile/views/edit/edit.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/mobile/views/edit/edit.php'
            ),
        97 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/mobile/layouts/detail/detail.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/mobile/layouts/detail/detail.php'
            ),
        98 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/mobile/layouts/list/list.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/mobile/layouts/list/list.php'
            ),
        99 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/clients/mobile/layouts/edit/edit.php',
                'to' => 'modules/PX_GCMSubscriptions/clients/mobile/layouts/edit/edit.php'
            ),
        100 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/Dashlets/PX_SubscriptionsDashlet/PX_SubscriptionsDashlet.meta.php',
                'to' => 'modules/PX_GCMSubscriptions/Dashlets/PX_SubscriptionsDashlet/PX_SubscriptionsDashlet.meta.php'
            ),
        101 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/Dashlets/PX_SubscriptionsDashlet/PX_SubscriptionsDashlet.php',
                'to' => 'modules/PX_GCMSubscriptions/Dashlets/PX_SubscriptionsDashlet/PX_SubscriptionsDashlet.php'
            ),
        102 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/vardefs.php',
                'to' => 'modules/PX_GCMSubscriptions/vardefs.php'
            ),
        103 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMSubscriptions/PxComposeMailMenuButtonHandler.js',
                'to' => 'modules/PX_GCMSubscriptions/PxComposeMailMenuButtonHandler.js'
            ),
        104 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/SearchFields.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/SearchFields.php'
            ),
        105 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/quickcreatedefs.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/quickcreatedefs.php'
            ),
        106 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/searchdefs.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/searchdefs.php'
            ),
        107 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/editviewdefs.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/editviewdefs.php'
            ),
        108 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/metafiles.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/metafiles.php'
            ),
        109 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/studio.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/studio.php'
            ),
        110 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/popupdefs.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/popupdefs.php'
            ),
        111 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/detailviewdefs.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/detailviewdefs.php'
            ),
        112 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/listviewdefs.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/listviewdefs.php'
            ),
        113 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/subpanels/default.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/subpanels/default.php'
            ),
        114 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/metadata/dashletviewdefs.php',
                'to' => 'modules/PX_GCMRegistrations/metadata/dashletviewdefs.php'
            ),
        115 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/PX_GCMRegistrations_sugar.php',
                'to' => 'modules/PX_GCMRegistrations/PX_GCMRegistrations_sugar.php'
            ),
        116 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/language/en_us.lang.php',
                'to' => 'modules/PX_GCMRegistrations/language/en_us.lang.php'
            ),
        117 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/menus/header/header.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/menus/header/header.php'
            ),
        118 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/selection-list/selection-list.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/selection-list/selection-list.php'
            ),
        119 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/recordlist/recordlist.js',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/recordlist/recordlist.js'
            ),
        120 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/recordlist/recordlist.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/recordlist/recordlist.php'
            ),
        121 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/list/list.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/list/list.php'
            ),
        122 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/subpanel-list/subpanel-list.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/subpanel-list/subpanel-list.php'
            ),
        123 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/dupecheck-list/dupecheck-list.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/dupecheck-list/dupecheck-list.php'
            ),
        124 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/massupdate/massupdate.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/massupdate/massupdate.php'
            ),
        125 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/massupdate/massupdate.js',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/massupdate/massupdate.js'
            ),
        126 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/record/record.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/record/record.php'
            ),
        127 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/views/record/record.js',
                'to' => 'modules/PX_GCMRegistrations/clients/base/views/record/record.js'
            ),
        128 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/fields/button/button.js',
                'to' => 'modules/PX_GCMRegistrations/clients/base/fields/button/button.js'
            ),
        129 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/fields/rowaction/rowaction.js',
                'to' => 'modules/PX_GCMRegistrations/clients/base/fields/rowaction/rowaction.js'
            ),
        130 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/api/PxChangeRegistrationStatusApi.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/api/PxChangeRegistrationStatusApi.php'
            ),
        131 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/filters/basic/basic.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/filters/basic/basic.php'
            ),
        132 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/base/filters/default/default.php',
                'to' => 'modules/PX_GCMRegistrations/clients/base/filters/default/default.php'
            ),
        133 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/mobile/views/detail/detail.php',
                'to' => 'modules/PX_GCMRegistrations/clients/mobile/views/detail/detail.php'
            ),
        134 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/mobile/views/list/list.php',
                'to' => 'modules/PX_GCMRegistrations/clients/mobile/views/list/list.php'
            ),
        135 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/mobile/views/edit/edit.php',
                'to' => 'modules/PX_GCMRegistrations/clients/mobile/views/edit/edit.php'
            ),
        136 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/mobile/layouts/detail/detail.php',
                'to' => 'modules/PX_GCMRegistrations/clients/mobile/layouts/detail/detail.php'
            ),
        137 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/mobile/layouts/list/list.php',
                'to' => 'modules/PX_GCMRegistrations/clients/mobile/layouts/list/list.php'
            ),
        138 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/clients/mobile/layouts/edit/edit.php',
                'to' => 'modules/PX_GCMRegistrations/clients/mobile/layouts/edit/edit.php'
            ),
        139 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/Dashlets/PX_GCMRegistrationsDashlet/PX_GCMRegistrationsDashlet.meta.php',
                'to' => 'modules/PX_GCMRegistrations/Dashlets/PX_GCMRegistrationsDashlet/PX_GCMRegistrationsDashlet.meta.php'
            ),
        140 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/Dashlets/PX_GCMRegistrationsDashlet/PX_GCMRegistrationsDashlet.php',
                'to' => 'modules/PX_GCMRegistrations/Dashlets/PX_GCMRegistrationsDashlet/PX_GCMRegistrationsDashlet.php'
            ),
        141 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/vardefs.php',
                'to' => 'modules/PX_GCMRegistrations/vardefs.php'
            ),
        142 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMRegistrations/PX_GCMRegistrations.php',
                'to' => 'modules/PX_GCMRegistrations/PX_GCMRegistrations.php'
            ),
        143 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/PX_GCMMessages_sugar.php',
                'to' => 'modules/PX_GCMMessages/PX_GCMMessages_sugar.php'
            ),
        144 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/SearchFields.php',
                'to' => 'modules/PX_GCMMessages/metadata/SearchFields.php'
            ),
        145 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/quickcreatedefs.php',
                'to' => 'modules/PX_GCMMessages/metadata/quickcreatedefs.php'
            ),
        146 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/searchdefs.php',
                'to' => 'modules/PX_GCMMessages/metadata/searchdefs.php'
            ),
        147 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/editviewdefs.php',
                'to' => 'modules/PX_GCMMessages/metadata/editviewdefs.php'
            ),
        148 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/metafiles.php',
                'to' => 'modules/PX_GCMMessages/metadata/metafiles.php'
            ),
        149 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/studio.php',
                'to' => 'modules/PX_GCMMessages/metadata/studio.php'
            ),
        150 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/popupdefs.php',
                'to' => 'modules/PX_GCMMessages/metadata/popupdefs.php'
            ),
        151 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/detailviewdefs.php',
                'to' => 'modules/PX_GCMMessages/metadata/detailviewdefs.php'
            ),
        152 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/listviewdefs.php',
                'to' => 'modules/PX_GCMMessages/metadata/listviewdefs.php'
            ),
        153 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/subpanels/default.php',
                'to' => 'modules/PX_GCMMessages/metadata/subpanels/default.php'
            ),
        154 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/metadata/dashletviewdefs.php',
                'to' => 'modules/PX_GCMMessages/metadata/dashletviewdefs.php'
            ),
        155 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/language/en_us.lang.php',
                'to' => 'modules/PX_GCMMessages/language/en_us.lang.php'
            ),
        156 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/base/menus/header/header.php',
                'to' => 'modules/PX_GCMMessages/clients/base/menus/header/header.php'
            ),
        157 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/base/views/selection-list/selection-list.php',
                'to' => 'modules/PX_GCMMessages/clients/base/views/selection-list/selection-list.php'
            ),
        158 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/base/views/list/list.php',
                'to' => 'modules/PX_GCMMessages/clients/base/views/list/list.php'
            ),
        159 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/base/views/subpanel-list/subpanel-list.php',
                'to' => 'modules/PX_GCMMessages/clients/base/views/subpanel-list/subpanel-list.php'
            ),
        160 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/base/views/dupecheck-list/dupecheck-list.php',
                'to' => 'modules/PX_GCMMessages/clients/base/views/dupecheck-list/dupecheck-list.php'
            ),
        161 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/base/views/massupdate/massupdate.php',
                'to' => 'modules/PX_GCMMessages/clients/base/views/massupdate/massupdate.php'
            ),
        162 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/base/views/record/record.php',
                'to' => 'modules/PX_GCMMessages/clients/base/views/record/record.php'
            ),
        163 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/base/filters/basic/basic.php',
                'to' => 'modules/PX_GCMMessages/clients/base/filters/basic/basic.php'
            ),
        164 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/base/filters/default/default.php',
                'to' => 'modules/PX_GCMMessages/clients/base/filters/default/default.php'
            ),
        165 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/mobile/views/detail/detail.php',
                'to' => 'modules/PX_GCMMessages/clients/mobile/views/detail/detail.php'
            ),
        166 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/mobile/views/list/list.php',
                'to' => 'modules/PX_GCMMessages/clients/mobile/views/list/list.php'
            ),
        167 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/mobile/views/edit/edit.php',
                'to' => 'modules/PX_GCMMessages/clients/mobile/views/edit/edit.php'
            ),
        168 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/mobile/layouts/detail/detail.php',
                'to' => 'modules/PX_GCMMessages/clients/mobile/layouts/detail/detail.php'
            ),
        169 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/mobile/layouts/list/list.php',
                'to' => 'modules/PX_GCMMessages/clients/mobile/layouts/list/list.php'
            ),
        170 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/clients/mobile/layouts/edit/edit.php',
                'to' => 'modules/PX_GCMMessages/clients/mobile/layouts/edit/edit.php'
            ),
        171 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/PX_GCMMessages.php',
                'to' => 'modules/PX_GCMMessages/PX_GCMMessages.php'
            ),
        172 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/Dashlets/PX_GCMMessagesDashlet/PX_GCMMessagesDashlet.php',
                'to' => 'modules/PX_GCMMessages/Dashlets/PX_GCMMessagesDashlet/PX_GCMMessagesDashlet.php'
            ),
        173 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/Dashlets/PX_GCMMessagesDashlet/PX_GCMMessagesDashlet.meta.php',
                'to' => 'modules/PX_GCMMessages/Dashlets/PX_GCMMessagesDashlet/PX_GCMMessagesDashlet.meta.php'
            ),
        174 =>
            array (
                'from' => '<basepath>/src/modules/PX_GCMMessages/vardefs.php',
                'to' => 'modules/PX_GCMMessages/vardefs.php'
            ),
    ),
    'beans' => array(
        array(
            'module' => 'PX_GCMMessages',
            'class' => 'PX_GCMMessages',
            'path' => 'modules/PX_GCMMessages/PX_GCMMessages.php',
            'tab' => false,
        ),
        array(
            'module' => 'PX_GCMRegistrations',
            'class' => 'PX_GCMRegistrations',
            'path' => 'modules/PX_GCMRegistrations/PX_GCMRegistrations.php',
            'tab' => true,
        ),
        array(
            'module' => 'PX_GCMSubscriptions',
            'class' => 'PX_GCMSubscriptions',
            'path' => 'modules/PX_GCMSubscriptions/PX_GCMSubscriptions.php',
            'tab' => true,
        ),
        array(
            'module' => 'PX_UserNews',
            'class' => 'PX_UserNews',
            'path' => 'modules/PX_UserNews/PX_UserNews.php',
            'tab' => false,
        ),
    ),
    'post_uninstall' => array(
        '<basepath>/scripts/post_uninstall_actions.php',
    )
);