<?php

require_once 'custom/PxRoutines/NewsFeedLogic/Provider/MobileNotify.php';

class MobileBanProvider{

	public function send($data){
		$mobileNotifier = new MobileNotify();

		$dataByUsers = array();
		foreach($data as $item){
			$dataByUsers[$item['assigned_user_id']][] = $item;
		}

		foreach($dataByUsers as $userId => $userData){

			foreach($userData as $item){
				$query = new SugarQuery();
				$query->from(BeanFactory::getBean('PX_GCMRegistrations'));
				$query->where()->equals('id', $item['parent_id']);
				$query->where()->equals('status', 'inactive');
				$gcmregistrations = $query->execute();


//				$px_gcmmessages = null;
//
//				$query = new SugarQuery();
//				$query->from(BeanFactory::getBean('PX_GCMMessages'));
//				$query->where()->equals('parent_id',$item['parent_id']);
//				$query->where()->equals('parent_type',$item['parent_type']);
//				$query->where()->equals('assigned_user_id',$item['assigned_user_id']);
//				$query->where()->in('message_type',array('ban'));
//				$query->where()->equals('gcmregistration_id',$item['parent_id']);
//				$results = $query->execute();
//				$gcmMessagesId = $results[0]['id'];
//				if(!empty($gcmMessagesId)){
//					$px_gcmmessages = BeanFactory::getBean('PX_GCMMessages', $gcmMessagesId);
//				}
//
//				if(empty($gcmregistrations)){
//					BeanFactory::getBean('PX_GCMMessages')->mark_deleted($gcmMessagesId);
//					continue;
//				}
//
//				if(empty($px_gcmmessages))
//
//
				$px_gcmmessages = BeanFactory::getBean('PX_GCMMessages');
				if(!empty($item['date_modified'])){
					$date = new DateTime($item['date_modified']);
					$px_gcmmessages->message_time = $date->format('Y-m-d H:i:s');
				}
				$px_gcmmessages->assigned_user_id = $item['assigned_user_id'];
				$px_gcmmessages->gcmregistration_id = $item['parent_id'];
				$px_gcmmessages->message_type = $item['message_type'];
				$px_gcmmessages->message = $item['message'];
				$px_gcmmessages->parent_id = $item['parent_id'];
				$px_gcmmessages->parent_type = $item['parent_type'];
				$px_gcmmessages->save();

				$mobileNotifier->sendNotification($gcmregistrations);
			}

			$this->clearNews($userData);
		}
	}

	public function clearNews($userData){
		$userNew = BeanFactory::getBean('PX_UserNews');
		foreach($userData as $item){
			$userNew->mark_deleted($item['id']);
		}
	}
}