(function(app){
    //Run callback when Sidecar metadata is fully initialized
    app.events.on('click:gcm_email_feedback:quickcreate', function(){
        var activeDrawerLayout = app.drawer.getActiveDrawerLayout();
        if (activeDrawerLayout.options.name !== 'px-feedback-layout') {
            app.drawer.open({
                layout : 'px-feedback-layout',
                context: {
                    create: 'true',
                    module: 'Emails',
                    prepopulate: {
                        to_addresses: [{email: 'mobileappsupport@integroscrm.com'}],
                        subject: app.lang.get('LBL_PX_FEEDBACK_SUBJECT', 'Emails')
                    },
                    pxCustomModule: 'PX_GCMSubscriptions'
                }
            }, _.bind(function(model) {
                if (model) {
                    //allow for component to perform action after close
                    this.trigger('emailclient:close');
                }
            }, this));
        }
    });
})(SUGAR.App);