<?php
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */

$module_name = 'PX_GCMSubscriptions';
$viewdefs[$module_name]['base']['filter']['default'] = array(
    'default_filter' => 'assigned_to_me',
    'fields' => array(
        'name' => array(),
        'assigned_user_name' => array(),
        'filter_owner' => array(),
        'filter_favorite' => array(),
        'filter_following' => array(),
        //'filter_team' => array(),
        '$owner' => array(
            'predefined_filter' => true,
            'vname' => 'LBL_CURRENT_USER_FILTER',
        ),
        '$favorite' => array(
            'predefined_filter' => true,
            'vname' => 'LBL_FAVORITES_FILTER',
        ),
    ),
);
