<?php
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
$mod_strings = array(
	'LBL_TEAM' => 'Teams',
	'LBL_TEAMS' => 'Teams',
	'LBL_TEAM_ID' => 'Team Id',
	'LBL_ASSIGNED_TO_ID' => 'Subscriber Id',
	'LBL_ASSIGNED_TO_NAME' => 'Subscriber',
	'LBL_ID' => 'ID',
	'LBL_DATE_ENTERED' => 'Date Created',
	'LBL_DATE_MODIFIED' => 'Date Modified',
	'LBL_MODIFIED' => 'Modified By',
	'LBL_MODIFIED_ID' => 'Modified By Id',
	'LBL_MODIFIED_NAME' => 'Modified By Name',
	'LBL_CREATED' => 'Created By',
	'LBL_CREATED_ID' => 'Created By Id',
	'LBL_DOC_OWNER' => 'Document Owner',
	'LBL_USER_FAVORITES' => 'Users Who Favorite',
	'LBL_DESCRIPTION' => 'Description',
	'LBL_DELETED' => 'Deleted',
	'LBL_NAME' => 'Name',
	'LBL_CREATED_USER' => 'Created by User',
	'LBL_MODIFIED_USER' => 'Modified by User',
	'LBL_LIST_NAME' => 'Name',
	'LBL_EDIT_BUTTON' => 'Edit',
	'LBL_REMOVE' => 'Remove',
	'LBL_EXPORT_MODIFIED_BY_NAME' => 'Modified By Name',
	'LBL_LIST_FORM_TITLE' => 'GCM Subscriptions List',
	'LBL_MODULE_NAME' => 'GCM Subscriptions',
	'LBL_MODULE_TITLE' => 'GCM Subscriptions',
	'LBL_MODULE_NAME_SINGULAR' => 'Subscription',
	'LBL_HOMEPAGE_TITLE' => 'My GCM Subscriptions',
	'LNK_NEW_RECORD' => 'Create Subscription',
	'LNK_LIST' => 'View GCM Subscriptions',
	'LNK_IMPORT_PX_GCMSubscriptions' => 'Import Subscription',
	'LBL_SEARCH_FORM_TITLE' => 'Search Subscription',
	'LBL_HISTORY_SUBPANEL_TITLE' => 'View History',
	'LBL_ACTIVITIES_SUBPANEL_TITLE' => 'Activity Stream',
	'LBL_PX_GCMSubscriptions_SUBPANEL_TITLE' => 'GCM Subscriptions',
	'LBL_NEW_FORM_TITLE' => 'New Subscription',
	'LNK_IMPORT_VCARD' => 'Import Subscription vCard',
	'LBL_IMPORT' => 'Import GCM Subscriptions',
	'LBL_IMPORT_VCARDTEXT' => 'Automatically create a new Subscription record by importing a vCard from your file system.',

	'LBL_FILTER_OWNER' => 'Owner Filter',
	'LBL_FILTER_FAVORITE' => 'Favorite Filter',
	'LBL_FILTER_FOLLOWING' => 'Follow Filter',
	'LBL_FILTER_TEAM' => 'Team Filter',

	'ERR_PX_GCMSUBSCRIPTIONS_DUPLICATE' => 'Only one GCM Subscription can be connected to the user',


	'LBL_PX_LEAVE_FEEDBACK' => 'Leave Feedback For Developer',
	'LBL_PX_WANT_CUSTOMIZATION_TEXT' => "Dear Developer!<br/><br/>I want to customize my APP<br/>Please contact me by email or phone.",
	'LBL_PX_FIX_BUG_TEXT' => "Dear Developer!<br/><br/>I have found a bug in APP: <br/>Description how to reproduce the bug:<br/><br/>Feedback text:<br/>",
	'LBL_PX_HAVE_COMPLAINT_TEXT' => "Dear Developer!<br/><br/>APP does not work correctly in my instance. Detailed description: ",
	'LBL_PX_ADVICE_TEXT' => "Dear Developer!<br/><br/>I have advice how to improve APP.<br/>Detailed description: ",
);